Opened 5 years ago

Closed 3 years ago

Last modified 3 years ago

#1593 closed Task (fixed)

dev CNRS-9 & NOC-3 --- lateral diffusion (LDF): simplification and improvements

Reported by: gm Owned by: nemo
Priority: normal Milestone:
Component: OCE Version: trunk
Severity: Keywords: simplification LDF
Cc: Review:
MP ready?:
Progress:

Description

Development branch related to CNRS-9 and NOC-3 actions of 2015 work plan :
simplify and improve the lateral diffusion and dissipation in NEMO/OPA
generalization of the use of surface scale factors (e1e2 at T, U, V, F points)

NB: This development consists in merging the current trunk with the last year work on that subject (see ticket #1260, and the associated branch ​2014/dev_CNRS0_NOC1_LDF​ and wiki page ​1260_CNRS0_NOC1_LDF.

Simplification:
(1) define bi-laplacian diffusive operator on dynamics and tracers are re-entrant laplacian
(2) change the way the eddy diffusivity and viscosity are specified and controlled by the user.
(3) generalize of the use of surface scale factors
(4) add a optional read of surface scale factors in coordinate file in case of reduction of the scale factors in some straits.

Improvements:
(1) introduce Beckers et al. (2000) compact stencil in the cross-isoneutral direction in triads formalism ;
(2) introduce in both iso-neutral operator the Method of Stabilizing Correction (Lemarié et al. (2012) ;
(3) implement bilaplacian iso-neutral operator (Lemarié et al. (2012)

———

associated branch: dev_r5721_CNRS9_NOC3_LDF

associated wiki page: 1593_CNRS9_NOC3_LDF

Commit History (12)

ChangesetAuthorTimeChangeLog
5831gm2015-10-25T11:33:18+01:00

#1593: Simplification LDF-ADV: remove the remaining use of ua,va,ta,sa as workspace: concern trazdf_imp, zdfevd, zdftmx and oce_trc modules

5830gm2015-10-25T10:28:48+01:00

#1593: Simplification LDF-ADV: remove no more used ttrdmp & strdmp arrays. Thanks Tim

5829gm2015-10-24T15:03:08+02:00

#1593: Simplification LDF-ADV: remove key_noslip_accurate & minor changes

5778gm2015-10-06T13:46:54+02:00

#1593: LDF-ADV, III. Phasing of the improvements/simplifications of ADV & LDF momentum trends: associated namelist & cpp

5777gm2015-10-06T13:40:42+02:00

#1593: LDF-ADV, III. Phasing of the improvements/simplifications of ADV & LDF momentum trends (see wiki page)

5771gm2015-10-01T15:07:40+02:00

#1593: LDF-ADV, step II.2: phasing the improvements/simplifications of advective tracer trend: associated namelist

5770gm2015-10-01T14:48:08+02:00

#1593: LDF-ADV, step II.2: phasing the improvements/simplifications of advective tracer trend (see wiki page)

5765gm2015-09-28T08:16:05+02:00

#1593: LDF-ADV, step II.1: phasing the improvements/simplifications of diffusive trend: update field_def.xml file

5760gm2015-09-24T10:00:39+02:00

#1593: LDF-ADV, step II.1: phasing the improvements/simplifications of diffusive trend: suppression of KPP

5759gm2015-09-24T08:35:56+02:00

#1593: LDF-ADV, step II.1: phasing the improvements/simplifications of diffusive trend: namelist and keys

5758gm2015-09-24T08:31:40+02:00

#1593: LDF-ADV, step II.1: phasing the improvements/simplifications of diffusive trend (see wiki)

5737gm2015-09-13T09:42:41+02:00

#1593: LDF-ADV, step I: Phasing of horizontal scale factors correct 2

Change History (2)

comment:1 Changed 3 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

Development done and incorporated to the trunk version (2016 merge party)

comment:2 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.